Subject: Re: bug#39373: 27.0.50; [PATCH] mode-local-print-bindings broken with lexical-binding

From: Stefan Monnier <[email-masked]>
Date: Sun, 02 Feb 2020 08:55:24 -0500

> The hook functions mostly talk about symbols and hooks, not variables, and
> I think the risk of them being used on lexvars is slight.

I also expected so, but I've already changed a handful of
`(run-hooks 'foo)` to `(mapcar #'funcall foo)`.  The problem is a bit
different, tho: it's *also* wrong to use it on dynamically-scoped let-bound
vars (tho it mostly works), so the doc should not focus on lexical
vars but on the difference between vars and hooks.

        Stefan